POST
https://api.cryptohopper.com/v1/hopper/{id}/changebot
Changes the bot type of the hopper. Only switches a trading bot (0) to a manual trading bot (3) or signal bot (4), or one of those back to a trading bot.
OAuth scope:
read manage About scopes
Example request
curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/changebot" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"bot_type":4}'
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/changebot', {
method: 'POST',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"bot_type": 4
})
});
const data = await response.json();
import requests
response = requests.post(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/changebot",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"bot_type": 4
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/changebot');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'bot_type' => 4,
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Response
{
"data": "The bot type has been changed."
}